Grand Master Pabris:
Elven Knights choose swordsmanship over archery. It is amazing to watch them fighting, because they use unique styles that emphasize defense as much as attack. Their polished techniques confuse their enemies and mesmerize those who are watching. These days, many Elven Knights enter the Human world in the service of Einhasad and Eva, even though they were originally created to protect the Mother Trees from invaders. The most talented of Elven Knights are sometimes selected as Temple Knights, the highest order of the Elves, or Swordsingers, who train Elven swordsmanship to a fine art. Of course, much hard training, as well as great talent, is required. To become an Elven Knight, you must pass the Test of the Elven Knight and bring back the Elven Knight brooch. The Elven Knight brooch proves that you have the qualifications to become an Elven Knight.
Ask about the Elven Knight Brooch
Return